The tag has no wiki summary.

learn more… | top users | synonyms

2
votes
1answer
4k views

Problems installing PHP libevent PECL Package

On my Ubuntu 11.04 development machine I have PHP installed (via aptitude). I want to experiment with the libevent PHP extension but I can't seem to get it working: root@alix-laptop:~# pecl install ...
1
vote
1answer
1k views

How to install PECL on a linux system

There are download sections for PECL extensions in http://pecl.php.net/ But I am not getting install steps for PECL itself*. Following command does not work - yum intall pecl In my system, I have ...
5
votes
2answers
2k views

V8js PHP module on Linux - can't find libv8.so

Running into a problem with v8js-0.1.2 (beta) - I'm seeing others have success on the net but regardless of what platform/OS I'm running, I always hit the same problem. I'm currently attempting to ...
0
votes
1answer
591 views

error_reporting showing unwanted NOTICE logs

I am getting following notices in php errorlog file. [10-Mar-2011 13:58:39] PHP Notice: require_once() [<a href='function.require-once'>function.require-once</a>]: 1. ...
3
votes
2answers
2k views

cPanel on CentOS: PHP with ZIP?

I've been tasked with a project to install PHP 5.2.x so that it has the ZIP extension onto a CentOS server that is already running PHP via cPanel / Easy Apache. Apparently cPanel's version of PHP ...
2
votes
1answer
1k views

Debian PHP 5.3 APD compile problems

I've been trying to install APD on Debian using pecl install apd. However, the command fails when entering the make stage: make /bin/sh /src/apd-1.0.1/libtool --mode=compile cc -I. -I/src/apd-1.0.1 ...
0
votes
2answers
5k views

how to install pecl memcached?

i need to install memcahced (not memcache) on my computer (ubuntu 10.10 and php 5.3.3), i did the follwoing: $ apt-get install php5-memcached libmemcached-tools libmemcached5 =>DONE SUCESSFULLY $ ...
0
votes
3answers
1k views

Cannot perform a PECL installation

I have been trying to do a few PECL installations, but all of them return the same type of error. Something related to timezones? Im running RedHat x86_64 es5. Attempting to install geoip-1.0.7: ...
3
votes
2answers
9k views

Problems installing Memcache (PECL extension)

I have installed memcached fine, and now I will need to install PECL extension memcache. Im running RedHat x86_64 es5. The installation gives me this: downloading memcache-2.2.6.tgz ... Starting to ...
1
vote
1answer
793 views

Is it possible to install Mailparse extension via PECL installation - without recompiling PHP

I am putting this question basically because I want to use PHP: Mailparse extension and stuck in its installation. But, I also want to know some basics of PHP extension installation - Please check ...
0
votes
1answer
920 views

Installing APC on CentOS 5.5 64bit error?

# sudo pecl install apc downloading APC-3.1.6.tgz ... Starting to download APC-3.1.6.tgz (-1 bytes) ....done: 3,585 bytes Could not get contents of package "/tmp/tmpspT8Og/APC-3.1.6.tgz". Invalid tgz ...
4
votes
1answer
992 views

How can I install a custom (patched) PECL extension?

I'm trying to use the htscanner PECL extension on my CentOS 5/PHP 5.2.6 machine, but there's a bug in the latest version where a newline character is added to the end of every php_value directive. ...
5
votes
1answer
1k views

Installing a php extension (xdiff) from pecl on Linux

I was getting this error on my php script: Fatal error: Call to undefined function xdiff_file_diff() I realised that I didn't had the xdiff extension installed. When I tried to install it using the ...
4
votes
7answers
32k views

Installing/enabling PHP Pecl Intl extension on CentOs 5

Original question: I'm having trouble installing the PHP Pecl Intl extension on my CentOs 5 machine. After installing both icu and libicu with the following commands: $ yum install icu $ yum ...
0
votes
2answers
1k views

Memcached extension error in PHP

yesterday i migrated to Rackspace (CentOS 5.5). Everything was already configured (apache, php, mysql, memcached) and working well. The only thing i forgot, and installed at last was the mail server ...
0
votes
1answer
917 views

How can I manually install pecl_http on Ubuntu 9.10?

This is essentially a repost of http://stackoverflow.com/questions/4159369/ubuntu-9-04-pecl-extension-downloads-but-does-not-install. Hoping maybe someone can help me here. I've done this: sudo ...
-1
votes
2answers
947 views

install PECL JSON in PHP 5.04

It's OK (compatible) to install PECL native JSON (from here) in PHP 5.0.4, on a production server running FC4 where unfortunately I cannot update PHP to at least 5.2 ? If there is a good chance to ...
1
vote
2answers
1k views

Updating system's “Olson” Timezone Database Version

My phpinfo() shows: "Olson" Timezone Database Version 0.system Instead of installing the pecl module, isnt it better if I can update the system timezone database / system? How can I do that? ...
1
vote
0answers
736 views

Anyone have PECL OAUTH-1.0.0 windows dll?

Anyone know where a windows dll for PECL OAUTH-1.0.0? (0.99.9 is here http://downloads.php.net/pierre/)
0
votes
1answer
563 views

Pecl install uploadprogress fails silently

When I run the command pecl install uploadprogress, outputs the following: downloading uploadprogress-1.0.1.tgz ... Starting to download uploadprogress-1.0.1.tgz (8,536 bytes) .....done: 8,536 bytes ...
2
votes
5answers
6k views

Error installing php extension OAuth via pecl

I'm trying to install the php extension OAuth in my local environment. php.net suggests it's super easy. You just run pecl install oauth. I tried this, and here is the output in terminal: (Update: I ...
1
vote
1answer
10k views

how to install libssh2 on Centos + pecl

I use phing as a deployment tool on CentOS and I'd like to use the SshTask, which required libssh2 to be installed. I tried "pecl install ssh2" but that asks me for a libssh2 prefix [/usr?] I ...
1
vote
1answer
1k views

How to compile PHP / PECL APD for MAMP / Snow Leopard?

When I'm trying to use pecl to install apd it compiles the extension for a 64 bit system. Since MAMP needs extensions in i386 mode, apache won't load this apd.so file. So how can I force pecl to ...
0
votes
1answer
71 views

What's the steps to add an extension to PHP without recompling from source code in linux?

I heard that PECL can do this job, can someone provide a hello world demo?
0
votes
2answers
1k views

pecl-ssh2-0.11 Freebsd Compile error after upgrading to php 5.3.2

Hi I've been looking for answers for this all day and can find nothing to solve my issue. I also came across a question about this port on serverfault that I just answered and will hopefully help ...
3
votes
1answer
789 views

Pecl complies .so extensions for OSX built-in PHP and not MAMP

I've installed the sphinx binaries and libraries and am now trying to install the PECL sphinx module. My system is running OS X 10.6 with MAMP 1.8.2 installed. I try to install sphinx using the ...
1
vote
4answers
6k views

Trouble installing php memcache extension

I'm trying to install memcache on MAMP but I get the warning below, and when I continue it seems to complete properly. I add the line extension=memcache.so to the php.ini and restart MAMP but ...
3
votes
2answers
870 views

Error on installing SVN extension with pecl

I'm trying to install the following PHP extension: http://php.net/manual/en/book.svn.php But when I do pecl install svn-beta I receive an error message that it can't locate the svn_client.h file. I ...
0
votes
1answer
2k views

Pecl install ssh2, make failed

I'm trying really hard since two hours to install ssh2 with pecl... But all I get is: /bin/sh /root/ssh2-0.11.0/libtool --mode=compile cc -I. -I/root/ssh2-0.11.0 -DPHP_ATOM_INC ...
2
votes
3answers
5k views

php_memcache dll for windows - where can I find it?

This is the only link I've found, but it doesn't work. http://pecl4win.php.net/ext.php/php_memcache.dll Where can I find a precompiled dll for the php_memcache extension?
10
votes
2answers
12k views

Installing imagick PHP extension on Ubuntu

I'm trying to install the imagick pecl extension on my Ubuntu server and am getting the below error. I've installed the ImageMagick rpm using aptitude already and the pecl extension is version 2.3.0. ...
0
votes
1answer
1k views

Apache won't restart with PDO MySQL enabled

I attempted to install the PDO MySQL driver onto a server with Solaris using the following commands: $ pecl download pdo_mysql $ tar xzf PDO_MYSQL-1.0.2.tgz $ cd PDO_MYSQL-1.0.2 $ phpize $ ...